Public Attributes | List of all members
ble_gap_ext_init_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Extended initiating parameters. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | type
uint8_t | prop
uint16_t | conn_to
ble_gap_scan_wd_op_param_t | scan_param_1m
ble_gap_scan_wd_op_param_t | scan_param_coded
ble_gap_ext_conn_param_t | conn_param_1m
ble_gap_ext_conn_param_t | conn_param_2m
ble_gap_ext_conn_param_t | conn_param_coded
ble_gap_bdaddr_t | peer_addr

## Detailed Description

Extended initiating parameters.

Definition at line 758 of file ble_gapm.h.

## Member Data Documentation

## ◆ conn_param_1m

ble_gap_ext_conn_param_t ble_gap_ext_init_param_t::conn_param_1m

Connection parameters for LE 1M PHY.

Definition at line 767 of file ble_gapm.h.

## ◆ conn_param_2m

ble_gap_ext_conn_param_t ble_gap_ext_init_param_t::conn_param_2m

Connection parameters for LE 2M PHY.

Definition at line 768 of file ble_gapm.h.

## ◆ conn_param_coded

ble_gap_ext_conn_param_t ble_gap_ext_init_param_t::conn_param_coded

Connection parameters for LE Coded PHY.

Definition at line 769 of file ble_gapm.h.

## ◆ conn_to

uint16_t ble_gap_ext_init_param_t::conn_to

Timeout for automatic connection establishment (in unit of 10ms). Cancel the procedure if connection has not been connected when the timeout occurs. 0 means there is no timeout.

Definition at line 762 of file ble_gapm.h.

## ◆ peer_addr

ble_gap_bdaddr_t ble_gap_ext_init_param_t::peer_addr

Address of peer device in case white list is not used for connection.

Definition at line 770 of file ble_gapm.h.

## ◆ prop

uint8_t ble_gap_ext_init_param_t::prop

Properties for the initiating procedure (see enum ble_gap_init_prop_t for bit signification).

Definition at line 761 of file ble_gapm.h.

## ◆ scan_param_1m

ble_gap_scan_wd_op_param_t ble_gap_ext_init_param_t::scan_param_1m

Scan window opening parameters for LE 1M PHY.

Definition at line 765 of file ble_gapm.h.

## ◆ scan_param_coded

ble_gap_scan_wd_op_param_t ble_gap_ext_init_param_t::scan_param_coded

Scan window opening parameters for LE Coded PHY.

Definition at line 766 of file ble_gapm.h.

## ◆ type

uint8_t ble_gap_ext_init_param_t::type

Initiating type (see enum ble_gap_init_type_t).

Definition at line 760 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h